import Cookies from 'js-cookie'

const TokenKey = 'Gcloud-Token';
const Token = 'Authorization';


export function getToken() {
  let tokenKey = window.localStorage.getItem(TokenKey) ;
  if (tokenKey){
    return JSON.parse(window.localStorage.getItem(TokenKey));
  }
  let accessToken = Cookies.get(Token);
  if (accessToken){
    return { 'accessToken' : accessToken,'authTime' : (new Date()).valueOf() , 'expiresIn':3600 };
  }
  return JSON.parse('{}');
}

export function setToken(token) {
  window.localStorage.setItem(TokenKey, JSON.stringify(token));
  return Cookies.set(Token,token.accessToken);
}

export function removeToken() {
  window.localStorage.removeItem(TokenKey);
  return Cookies.remove(Token);
}
